package com.example.profileviewer;

import java.io.IOException;
import java.io.Serializable;

public class ProfileData implements Serializable {

	private static final long serialVersionUID = 9004314291219040172L;

	private String firstName;
	private String lastName;
	private String email;

	public ProfileData() {
		firstName = "Mr.";
		lastName  = "Nobody";
		email     = "nobody@example.com";
	}

	public ProfileData(String firstName, String lastName, String email) {
		this.firstName = firstName;
		this.lastName = lastName;
		this.email = email;
	}

	public String getFirstName() {
		return firstName;
	}

	public String getLastName() {
		return lastName;
	}

	public String getEmail() {
		return email;
	}

	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	private void readObject(java.io.ObjectInputStream stream) throws IOException, ClassNotFoundException {
		firstName = (String)stream.readObject();
		lastName  = (String)stream.readObject();
		email     = (String)stream.readObject();
	}

	private void writeObject(java.io.ObjectOutputStream stream) throws IOException {
		stream.writeObject(firstName);
		stream.writeObject(lastName);
		stream.writeObject(email);
	}
	  
}
